# -*- coding: utf-8 -*-

# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
import base64
import werkzeug
 
from odoo import http
from odoo.http import request
 
 
class PyloteDownloadPDF(http.Controller):
 
    @http.route(
        '/web/binary/download_pdf/<id>', 
        type='http', auth="public", website=True)
    def download_pdf(self, id, **kw):        
        response = werkzeug.wrappers.Response()
        blog_obj = request.env['blog.post'].sudo().search([('id', '=', id)])
        response.data = base64.decodebytes(blog_obj.document)
        response.mimetype = 'application/pdf'
        return response

    @http.route(
        '/web/binary/download_pdf_bis/<id>', 
        type='http', auth="public", website=True)
    def download_pdf_bis(self, id, **kw):        
        response = werkzeug.wrappers.Response()
        blog_obj = request.env['blog.post'].sudo().search([('id', '=', id)])
        response.data = base64.decodebytes(blog_obj.document_bis)
        response.mimetype = 'application/pdf'
        return response