# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, models, fields


class PyloteBlogPost(models.Model):
    _inherit = "blog.post"

    def _default_website(self):
        return self.env['website'].search([], limit=1)

    image = fields.Binary("Image de l'article", attachment=True)
    publication_home = fields.Boolean('Publication en home')
    document = fields.Binary("Document")
    document_filename = fields.Char("Nom du document")
    document_bis = fields.Binary("Document 2")
    document_filename_bis = fields.Char("Nom du document 2")
    url_news = fields.Char('URL')