odoo.define('pylote_website.scroll_totop', function (require) {
'use strict';

    $(document).ready(function () {

        var elm = document.querySelector('#myNavbar');
        var ms = new MenuSpy(elm);

        $( '#button-open-menu' ).on( 'click', function () {
            if($("#logo-mobile").hasClass("o_show")) {
                    $("#logo-mobile").removeClass('o_show');
                    $("#logo-mobile-menu").removeClass('o_hidden');
                    $("#logo-mobile").addClass('o_hidden');
                    $("#logo-mobile-menu").addClass('o_show');
                } else {
                    $("#logo-mobile").removeClass('o_hidden');
                    $("#logo-mobile-menu").removeClass('o_show');
                    $("#logo-mobile").addClass('o_show');
                    $("#logo-mobile-menu").addClass('o_hidden');
                }
            $('.animated-icon3').toggleClass('open');
        });

        
        $( '#myNavbar a' ).on( 'click', function () {
            $( '#myNavbar' ).find( 'li.active' ).removeClass( 'active' );
            $( this ).parent( 'li' ).addClass( 'active' );
        });

        /**
        * Smooth scrolling to page anchor on click
        **/
        $("a[href*='#']:not([href='#'])").click(function() {
            if (
                location.hostname == this.hostname
                && this.pathname.replace(/^\//,"") == location.pathname.replace(/^\//,"")
            ) {
                var anchor = $(this.hash);
                anchor = anchor.length ? anchor : $("[name=" + this.hash.slice(1) +"]");
                if ( anchor.length ) {
                    $("html, body").animate( { scrollTop: anchor.offset().top - 170 }, 300);
                }
            }
        });

        $("#myBtn").click(function(ev){
            document.body.scrollTop = 0; // For Chrome, Safari and Opera
            document.documentElement.scrollTop = 0; // For IE and Firefox
         });

        window.onscroll = function() {scrollFunction()};

        function scrollFunction() {

            if (document.body.scrollTop > 200 || document.documentElement.scrollTop > 200) {
                $("#myBtn").attr('style','display: block');
            } else {
                $("#myBtn").attr('style','display: none');
            }
        }

        // When the user clicks on the button, scroll to the top of the document
        function topFunction() {
            document.body.scrollTop = 0; // For Chrome, Safari and Opera
            document.documentElement.scrollTop = 0; // For IE and Firefox
        }

        $("#cleaner-home").click(function(ev){
            $("#modal-cleaner").removeClass('o_hidden');
            $('body').addClass('o_new_content_open');
         });

        $("#cleaner-home-mobil").click(function(ev){
            $("#modal-cleaner").removeClass('o_hidden');
            $('body').addClass('o_new_content_open');
         });

        $("#safer-home").click(function(ev){
            $("#modal-safer").removeClass('o_hidden');
            $('body').addClass('o_new_content_open');
         });

        $("#safer-home-mobil").click(function(ev){
            $("#modal-safer").removeClass('o_hidden');
            $('body').addClass('o_new_content_open');
         });

        $("#greener-home").click(function(ev){
            $("#modal-greener").removeClass('o_hidden');
            $('body').addClass('o_new_content_open');
         });

        $("#greener-home-mobil").click(function(ev){
            $("#modal-greener").removeClass('o_hidden');
            $('body').addClass('o_new_content_open');
         });

        $("#modal-close-cleaner").click(function(ev){
            $("#modal-cleaner").addClass('o_hidden');
            $('body').removeClass('o_new_content_open');
         });

        $("#modal-close-safer").click(function(ev){
            $("#modal-safer").addClass('o_hidden');
            $('body').removeClass('o_new_content_open');
         });

        $("#modal-close-greener").click(function(ev){
            $("#modal-greener").addClass('o_hidden');
            $('body').removeClass('o_new_content_open');
         });

        $("#container-modal-cleaner").click(function(ev){
            $("#modal-cleaner").addClass('o_hidden');
            $('body').removeClass('o_new_content_open');
         });

        $("#container-modal-safer").click(function(ev){
            $("#modal-safer").addClass('o_hidden');
            $('body').removeClass('o_new_content_open');
         });

        $("#container-modal-greener").click(function(ev){
            $("#modal-greener").addClass('o_hidden');
            $('body').removeClass('o_new_content_open');
         });

        /**
        * Offset for techno link
        **/
        if (location.hash == '#our-techno') {
            var anchor = $(location.hash);
            anchor = anchor.length ? anchor : $("[name=" + this.hash.slice(1) +"]");
            $("html, body").animate( { scrollTop: anchor.offset().top - 170 }, 100);
        }

    });

});